Merge remote-tracking branch 'origin/master' into jit
[scilab.git] / scilab / modules / mexlib / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39
40 VPATH = @srcdir@
41 am__is_gnu_make = { \
42   if test -z '$(MAKELEVEL)'; then \
43     false; \
44   elif test -n '$(MAKE_HOST)'; then \
45     true; \
46   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
47     true; \
48   else \
49     false; \
50   fi; \
51 }
52 am__make_running_with_option = \
53   case $${target_option-} in \
54       ?) ;; \
55       *) echo "am__make_running_with_option: internal error: invalid" \
56               "target option '$${target_option-}' specified" >&2; \
57          exit 1;; \
58   esac; \
59   has_opt=no; \
60   sane_makeflags=$$MAKEFLAGS; \
61   if $(am__is_gnu_make); then \
62     sane_makeflags=$$MFLAGS; \
63   else \
64     case $$MAKEFLAGS in \
65       *\\[\ \   ]*) \
66         bs=\\; \
67         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
68           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
69     esac; \
70   fi; \
71   skip_next=no; \
72   strip_trailopt () \
73   { \
74     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
75   }; \
76   for flg in $$sane_makeflags; do \
77     test $$skip_next = yes && { skip_next=no; continue; }; \
78     case $$flg in \
79       *=*|--*) continue;; \
80         -*I) strip_trailopt 'I'; skip_next=yes;; \
81       -*I?*) strip_trailopt 'I';; \
82         -*O) strip_trailopt 'O'; skip_next=yes;; \
83       -*O?*) strip_trailopt 'O';; \
84         -*l) strip_trailopt 'l'; skip_next=yes;; \
85       -*l?*) strip_trailopt 'l';; \
86       -[dEDm]) skip_next=yes;; \
87       -[JT]) skip_next=yes;; \
88     esac; \
89     case $$flg in \
90       *$$target_option*) has_opt=yes; break;; \
91     esac; \
92   done; \
93   test $$has_opt = yes
94 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
95 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
96 pkgdatadir = $(datadir)/@PACKAGE@
97 pkgincludedir = $(includedir)/@PACKAGE@
98 pkglibdir = $(libdir)/@PACKAGE@
99 pkglibexecdir = $(libexecdir)/@PACKAGE@
100 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
101 install_sh_DATA = $(install_sh) -c -m 644
102 install_sh_PROGRAM = $(install_sh) -c
103 install_sh_SCRIPT = $(install_sh) -c
104 INSTALL_HEADER = $(INSTALL_DATA)
105 transform = $(program_transform_name)
106 NORMAL_INSTALL = :
107 PRE_INSTALL = :
108 POST_INSTALL = :
109 NORMAL_UNINSTALL = :
110 PRE_UNINSTALL = :
111 POST_UNINSTALL = :
112 build_triplet = @build@
113 host_triplet = @host@
114 @NEED_JAVA_TRUE@am__append_1 = java
115 subdir = modules/mexlib
116 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
117 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
118         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
119         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
120         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
121         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
122         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
123         $(top_srcdir)/m4/intel_compiler.m4 \
124         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
125         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
126         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
127         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/llvm.m4 \
128         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
129         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
130         $(top_srcdir)/m4/macosx.m4 $(top_srcdir)/m4/mpi.m4 \
131         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
132         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
133         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
134         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
135         $(top_srcdir)/configure.ac
136 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
137         $(ACLOCAL_M4)
138 DIST_COMMON = $(srcdir)/Makefile.am $(libmex_la_include_HEADERS) \
139         $(am__DIST_COMMON)
140 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
141 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
142 CONFIG_CLEAN_FILES =
143 CONFIG_CLEAN_VPATH_FILES =
144 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
145 am__vpath_adj = case $$p in \
146     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
147     *) f=$$p;; \
148   esac;
149 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
150 am__install_max = 40
151 am__nobase_strip_setup = \
152   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
153 am__nobase_strip = \
154   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
155 am__nobase_list = $(am__nobase_strip_setup); \
156   for p in $$list; do echo "$$p $$p"; done | \
157   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
158   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
159     if (++n[$$2] == $(am__install_max)) \
160       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
161     END { for (dir in files) print dir, files[dir] }'
162 am__base_list = \
163   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
164   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
165 am__uninstall_files_from_dir = { \
166   test -z "$$files" \
167     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
168     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
169          $(am__cd) "$$dir" && rm -f $$files; }; \
170   }
171 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
172         "$(DESTDIR)$(libmex_la_etcdir)" \
173         "$(DESTDIR)$(libmex_la_rootdir)" \
174         "$(DESTDIR)$(libmex_la_includedir)"
175 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
176 libmat_la_DEPENDENCIES =
177 am__dirstamp = $(am__leading_dot)dirstamp
178 am__objects_1 = src/cpp/libmat_la-mexlib.lo \
179         src/cpp/libmat_la-sci_gateway.lo
180 am_libmat_la_OBJECTS = $(am__objects_1)
181 libmat_la_OBJECTS = $(am_libmat_la_OBJECTS)
182 AM_V_lt = $(am__v_lt_@AM_V@)
183 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
184 am__v_lt_0 = --silent
185 am__v_lt_1 = 
186 libmat_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
187         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
188         $(CXXFLAGS) $(libmat_la_LDFLAGS) $(LDFLAGS) -o $@
189 @MAINTAINER_MODE_FALSE@am_libmat_la_rpath =
190 @MAINTAINER_MODE_TRUE@am_libmat_la_rpath = -rpath $(pkglibdir)
191 libmex_la_DEPENDENCIES =
192 am__objects_2 = src/cpp/libmex_la-mexlib.lo \
193         src/cpp/libmex_la-sci_gateway.lo
194 am_libmex_la_OBJECTS = $(am__objects_2)
195 libmex_la_OBJECTS = $(am_libmex_la_OBJECTS)
196 @MAINTAINER_MODE_FALSE@am_libmex_la_rpath =
197 @MAINTAINER_MODE_TRUE@am_libmex_la_rpath = -rpath $(pkglibdir)
198 libmx_la_DEPENDENCIES =
199 am__objects_3 = src/cpp/libmx_la-mexlib.lo \
200         src/cpp/libmx_la-sci_gateway.lo
201 am_libmx_la_OBJECTS = $(am__objects_3)
202 libmx_la_OBJECTS = $(am_libmx_la_OBJECTS)
203 libmx_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
205         $(CXXFLAGS) $(libmx_la_LDFLAGS) $(LDFLAGS) -o $@
206 @MAINTAINER_MODE_FALSE@am_libmx_la_rpath =
207 @MAINTAINER_MODE_TRUE@am_libmx_la_rpath = -rpath $(pkglibdir)
208 AM_V_P = $(am__v_P_@AM_V@)
209 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
210 am__v_P_0 = false
211 am__v_P_1 = :
212 AM_V_GEN = $(am__v_GEN_@AM_V@)
213 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
214 am__v_GEN_0 = @echo "  GEN     " $@;
215 am__v_GEN_1 = 
216 AM_V_at = $(am__v_at_@AM_V@)
217 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
218 am__v_at_0 = @
219 am__v_at_1 = 
220 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
221 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
222 am__depfiles_maybe = depfiles
223 am__mv = mv -f
224 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
225         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
226 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
227         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
228         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
229         $(AM_CXXFLAGS) $(CXXFLAGS)
230 AM_V_CXX = $(am__v_CXX_@AM_V@)
231 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
232 am__v_CXX_0 = @echo "  CXX     " $@;
233 am__v_CXX_1 = 
234 CXXLD = $(CXX)
235 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
236         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
237         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
238 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
239 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
240 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
241 am__v_CXXLD_1 = 
242 SOURCES = $(libmat_la_SOURCES) $(libmex_la_SOURCES) \
243         $(libmx_la_SOURCES)
244 DIST_SOURCES = $(libmat_la_SOURCES) $(libmex_la_SOURCES) \
245         $(libmx_la_SOURCES)
246 am__can_run_installinfo = \
247   case $$AM_UPDATE_INFO_DIR in \
248     n|no|NO) false;; \
249     *) (install-info --version) >/dev/null 2>&1;; \
250   esac
251 DATA = $(libmex_la_etc_DATA) $(libmex_la_root_DATA)
252 HEADERS = $(libmex_la_include_HEADERS)
253 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
254 # Read a list of newline-separated strings from the standard input,
255 # and print each of them once, without duplicates.  Input order is
256 # *not* preserved.
257 am__uniquify_input = $(AWK) '\
258   BEGIN { nonempty = 0; } \
259   { items[$$0] = 1; nonempty = 1; } \
260   END { if (nonempty) { for (i in items) print i; }; } \
261 '
262 # Make sure the list of sources is unique.  This is necessary because,
263 # e.g., the same source file might be shared among _SOURCES variables
264 # for different programs/libraries.
265 am__define_uniq_tagged_files = \
266   list='$(am__tagged_files)'; \
267   unique=`for i in $$list; do \
268     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
269   done | $(am__uniquify_input)`
270 ETAGS = etags
271 CTAGS = ctags
272 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
273         $(top_srcdir)/config/depcomp \
274         $(top_srcdir)/config/mkinstalldirs
275 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
276 ACLOCAL = @ACLOCAL@
277 ALL_LINGUAS = @ALL_LINGUAS@
278 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
279 AMTAR = @AMTAR@
280 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
281 ANT = @ANT@
282 ANTLR = @ANTLR@
283 AR = @AR@
284 ARPACK_LIBS = @ARPACK_LIBS@
285 ASM3 = @ASM3@
286 AUTOCONF = @AUTOCONF@
287 AUTOHEADER = @AUTOHEADER@
288 AUTOMAKE = @AUTOMAKE@
289 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
290 AWK = @AWK@
291 BATIK = @BATIK@
292 BLAS_CFLAGS = @BLAS_CFLAGS@
293 BLAS_LIBS = @BLAS_LIBS@
294 CC = @CC@
295 CCACHE = @CCACHE@
296 CCDEPMODE = @CCDEPMODE@
297 CFLAGS = @CFLAGS@
298 CHECKSTYLE = @CHECKSTYLE@
299 COBERTURA = @COBERTURA@
300 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
301 COMMONS_IO = @COMMONS_IO@
302 COMMONS_LOGGING = @COMMONS_LOGGING@
303 CPP = @CPP@
304 CPPFLAGS = @CPPFLAGS@
305 CURL_CFLAGS = @CURL_CFLAGS@
306 CURL_CONFIG = @CURL_CONFIG@
307 CURL_LIBS = @CURL_LIBS@
308 CURL_VERSION = @CURL_VERSION@
309 CXX = @CXX@
310 CXXCPP = @CXXCPP@
311 CXXDEPMODE = @CXXDEPMODE@
312 CXXFLAGS = @CXXFLAGS@
313 CYGPATH_W = @CYGPATH_W@
314 DEFS = @DEFS@
315 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
316 DEPDIR = @DEPDIR@
317 DLLTOOL = @DLLTOOL@
318 DOCBOOK_ROOT = @DOCBOOK_ROOT@
319 DOXYGEN_BIN = @DOXYGEN_BIN@
320 DSYMUTIL = @DSYMUTIL@
321 DUMPBIN = @DUMPBIN@
322 ECHO_C = @ECHO_C@
323 ECHO_N = @ECHO_N@
324 ECHO_T = @ECHO_T@
325 ECJ = @ECJ@
326 EGREP = @EGREP@
327 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
328 EXEEXT = @EXEEXT@
329 F77 = @F77@
330 FFLAGS = @FFLAGS@
331 FFTW3_LIB = @FFTW3_LIB@
332 FFTW_ENABLE = @FFTW_ENABLE@
333 FGREP = @FGREP@
334 FLEXDOCK = @FLEXDOCK@
335 FLIBS = @FLIBS@
336 FOP = @FOP@
337 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
338 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
339 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
340 FREEHEP_IO = @FREEHEP_IO@
341 FREEHEP_UTIL = @FREEHEP_UTIL@
342 GENHTML = @GENHTML@
343 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
344 GIWS_BIN = @GIWS_BIN@
345 GLUEGEN2_RT = @GLUEGEN2_RT@
346 GMSGFMT = @GMSGFMT@
347 GMSGFMT_015 = @GMSGFMT_015@
348 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
349 GREP = @GREP@
350 GUI_ENABLE = @GUI_ENABLE@
351 HAMCREST = @HAMCREST@
352 HAVE_CXX11 = @HAVE_CXX11@
353 HDF5_CFLAGS = @HDF5_CFLAGS@
354 HDF5_LIBS = @HDF5_LIBS@
355 HELP_ENABLE = @HELP_ENABLE@
356 INSTALL = @INSTALL@
357 INSTALL_DATA = @INSTALL_DATA@
358 INSTALL_PROGRAM = @INSTALL_PROGRAM@
359 INSTALL_SCRIPT = @INSTALL_SCRIPT@
360 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
361 INTLLIBS = @INTLLIBS@
362 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
363 JAR = @JAR@
364 JAVA = @JAVA@
365 JAVAC = @JAVAC@
366 JAVAC_DEBUG = @JAVAC_DEBUG@
367 JAVADOC = @JAVADOC@
368 JAVAH = @JAVAH@
369 JAVASCI_ENABLE = @JAVASCI_ENABLE@
370 JAVA_ENABLE = @JAVA_ENABLE@
371 JAVA_G = @JAVA_G@
372 JAVA_HOME = @JAVA_HOME@
373 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
374 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
375 JDB = @JDB@
376 JEUCLID_CORE = @JEUCLID_CORE@
377 JGRAPHX = @JGRAPHX@
378 JHALL = @JHALL@
379 JLATEXMATH = @JLATEXMATH@
380 JLATEXMATH_FOP = @JLATEXMATH_FOP@
381 JOGL2 = @JOGL2@
382 JROSETTA_API = @JROSETTA_API@
383 JROSETTA_ENGINE = @JROSETTA_ENGINE@
384 JUNIT4 = @JUNIT4@
385 LAPACK_LIBS = @LAPACK_LIBS@
386 LCOV = @LCOV@
387 LD = @LD@
388 LDFLAGS = @LDFLAGS@
389 LEX = @LEX@
390 LEXLIB = @LEXLIB@
391 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
392 LIBICONV = @LIBICONV@
393 LIBINTL = @LIBINTL@
394 LIBM = @LIBM@
395 LIBOBJS = @LIBOBJS@
396 LIBS = @LIBS@
397 LIBTOOL = @LIBTOOL@
398 LIPO = @LIPO@
399 LLVM_CONFIG_BIN = @LLVM_CONFIG_BIN@
400 LLVM_CPPFLAGS = @LLVM_CPPFLAGS@
401 LLVM_INCLUDE = @LLVM_INCLUDE@
402 LLVM_LDFLAGS = @LLVM_LDFLAGS@
403 LLVM_LIBS = @LLVM_LIBS@
404 LLVM_LIBS_STATIC = @LLVM_LIBS_STATIC@
405 LLVM_VERSION = @LLVM_VERSION@
406 LN_S = @LN_S@
407 LOGGING_LEVEL = @LOGGING_LEVEL@
408 LOOKS = @LOOKS@
409 LTLIBICONV = @LTLIBICONV@
410 LTLIBINTL = @LTLIBINTL@
411 LTLIBOBJS = @LTLIBOBJS@
412 MAINT = @MAINT@
413 MAKEINFO = @MAKEINFO@
414 MANIFEST_TOOL = @MANIFEST_TOOL@
415 MATIO_CFLAGS = @MATIO_CFLAGS@
416 MATIO_ENABLE = @MATIO_ENABLE@
417 MATIO_LIBS = @MATIO_LIBS@
418 MKDIR_P = @MKDIR_P@
419 MPI_ENABLE = @MPI_ENABLE@
420 MSGCAT = @MSGCAT@
421 MSGFMT = @MSGFMT@
422 MSGFMT_015 = @MSGFMT_015@
423 MSGMERGE = @MSGMERGE@
424 NM = @NM@
425 NMEDIT = @NMEDIT@
426 OBJDUMP = @OBJDUMP@
427 OBJEXT = @OBJEXT@
428 OCAMLC = @OCAMLC@
429 OCAMLDEP = @OCAMLDEP@
430 OCAMLLEX = @OCAMLLEX@
431 OCAMLOPT = @OCAMLOPT@
432 OCAMLYACC = @OCAMLYACC@
433 OPENMPI_CC = @OPENMPI_CC@
434 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
435 OPENMPI_CXX = @OPENMPI_CXX@
436 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
437 OPENMPI_LIBS = @OPENMPI_LIBS@
438 OPENMP_CFLAGS = @OPENMP_CFLAGS@
439 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
440 OPENMP_ENABLE = @OPENMP_ENABLE@
441 OPENMP_LIBS = @OPENMP_LIBS@
442 OTOOL = @OTOOL@
443 OTOOL64 = @OTOOL64@
444 PACKAGE = @PACKAGE@
445 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
446 PACKAGE_NAME = @PACKAGE_NAME@
447 PACKAGE_STRING = @PACKAGE_STRING@
448 PACKAGE_TARNAME = @PACKAGE_TARNAME@
449 PACKAGE_URL = @PACKAGE_URL@
450 PACKAGE_VERSION = @PACKAGE_VERSION@
451 PATH_SEPARATOR = @PATH_SEPARATOR@
452 PCRE_CFLAGS = @PCRE_CFLAGS@
453 PCRE_CONFIG = @PCRE_CONFIG@
454 PCRE_LIBS = @PCRE_LIBS@
455 PCRE_VERSION = @PCRE_VERSION@
456 PKG_CONFIG = @PKG_CONFIG@
457 POSUB = @POSUB@
458 POW_LIB = @POW_LIB@
459 PYTHON = @PYTHON@
460 RANLIB = @RANLIB@
461 RELOCATABLE = @RELOCATABLE@
462 RT_LIB = @RT_LIB@
463 SAXON = @SAXON@
464 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
465 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
466 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
467 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
468 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
469 SCIRENDERER = @SCIRENDERER@
470 SCIRENDERER_CP = @SCIRENDERER_CP@
471 SCI_CFLAGS = @SCI_CFLAGS@
472 SCI_CXXFLAGS = @SCI_CXXFLAGS@
473 SCI_FFLAGS = @SCI_FFLAGS@
474 SCI_LDFLAGS = @SCI_LDFLAGS@
475 SED = @SED@
476 SET_MAKE = @SET_MAKE@
477 SET_RELOCATABLE = @SET_RELOCATABLE@
478 SHELL = @SHELL@
479 SKINLF = @SKINLF@
480 SPLINT = @SPLINT@
481 STRIP = @STRIP@
482 SWIG_BIN = @SWIG_BIN@
483 SWIG_JAVA = @SWIG_JAVA@
484 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
485 SWIG_SCILAB = @SWIG_SCILAB@
486 TCLTK_LIBS = @TCLTK_LIBS@
487 TCL_INC_PATH = @TCL_INC_PATH@
488 TK_INC_PATH = @TK_INC_PATH@
489 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
490 UMFPACK_ENABLE = @UMFPACK_ENABLE@
491 UMFPACK_LIB = @UMFPACK_LIB@
492 USE_NLS = @USE_NLS@
493 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
494 VALGRIND_LIBS = @VALGRIND_LIBS@
495 VERSION = @VERSION@
496 WITH_OCAML = @WITH_OCAML@
497 WITH_TKSCI = @WITH_TKSCI@
498 XCOS_ENABLE = @XCOS_ENABLE@
499 XGETTEXT = @XGETTEXT@
500 XGETTEXT_015 = @XGETTEXT_015@
501 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
502 XMKMF = @XMKMF@
503 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
504 XML_APIS_EXT = @XML_APIS_EXT@
505 XML_CONFIG = @XML_CONFIG@
506 XML_FLAGS = @XML_FLAGS@
507 XML_LIBS = @XML_LIBS@
508 XML_VERSION = @XML_VERSION@
509 X_CFLAGS = @X_CFLAGS@
510 X_EXTRA_LIBS = @X_EXTRA_LIBS@
511 X_LIBS = @X_LIBS@
512 X_PRE_LIBS = @X_PRE_LIBS@
513 YACC = @YACC@
514 YFLAGS = @YFLAGS@
515 abs_builddir = @abs_builddir@
516 abs_srcdir = @abs_srcdir@
517 abs_top_builddir = @abs_top_builddir@
518 abs_top_srcdir = @abs_top_srcdir@
519 ac_ct_AR = @ac_ct_AR@
520 ac_ct_CC = @ac_ct_CC@
521 ac_ct_CXX = @ac_ct_CXX@
522 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
523 ac_ct_F77 = @ac_ct_F77@
524 am__include = @am__include@
525 am__leading_dot = @am__leading_dot@
526 am__quote = @am__quote@
527 am__tar = @am__tar@
528 am__untar = @am__untar@
529 bindir = @bindir@
530 build = @build@
531 build_alias = @build_alias@
532 build_cpu = @build_cpu@
533 build_os = @build_os@
534 build_vendor = @build_vendor@
535 builddir = @builddir@
536 cxx_present = @cxx_present@
537 datadir = @datadir@
538 datarootdir = @datarootdir@
539 docdir = @docdir@
540 dvidir = @dvidir@
541 exec_prefix = @exec_prefix@
542 host = @host@
543 host_alias = @host_alias@
544 host_cpu = @host_cpu@
545 host_os = @host_os@
546 host_vendor = @host_vendor@
547 htmldir = @htmldir@
548 includedir = @includedir@
549 infodir = @infodir@
550 install_sh = @install_sh@
551 libdir = @libdir@
552 libexecdir = @libexecdir@
553 localedir = @localedir@
554 localstatedir = @localstatedir@
555 mandir = @mandir@
556 mkdir_p = @mkdir_p@
557 oldincludedir = @oldincludedir@
558 pdfdir = @pdfdir@
559 prefix = @prefix@
560 program_transform_name = @program_transform_name@
561 psdir = @psdir@
562 runstatedir = @runstatedir@
563 sbindir = @sbindir@
564 sharedstatedir = @sharedstatedir@
565 srcdir = @srcdir@
566 sysconfdir = @sysconfdir@
567 target_alias = @target_alias@
568 top_build_prefix = @top_build_prefix@
569 top_builddir = @top_builddir@
570 top_srcdir = @top_srcdir@
571 yacc_present = @yacc_present@
572 MEXLIB_CPP_SOURCES = \
573     src/cpp/mexlib.cpp \
574     src/cpp/sci_gateway.cpp
575
576 MEXLIB_FLAGS = \
577     -I$(srcdir)/includes/ \
578     -I$(top_srcdir)/modules/ast/includes/ast/ \
579     -I$(top_srcdir)/modules/ast/includes/exps/ \
580     -I$(top_srcdir)/modules/ast/includes/operations/ \
581     -I$(top_srcdir)/modules/ast/includes/parse/ \
582     -I$(top_srcdir)/modules/ast/includes/symbol/ \
583     -I$(top_srcdir)/modules/ast/includes/system_env/ \
584     -I$(top_srcdir)/modules/ast/includes/types/ \
585     -I$(top_srcdir)/modules/ast/includes/analysis/ \
586         -I$(top_srcdir)/modules/localization/includes/ \
587         -I$(top_srcdir)/modules/output_stream/includes/ \
588         -I$(top_srcdir)/modules/call_scilab/includes/ \
589         -I$(top_srcdir)/modules/elementary_functions/includes/ \
590         -I$(top_srcdir)/modules/string/includes \
591         -I$(top_srcdir)/modules/threads/includes/ \
592         -I$(top_srcdir)/modules/api_scilab/includes/ \
593         -I$(top_srcdir)/modules/console/includes/ \
594     -I$(top_srcdir)/modules/dynamic_link/includes
595
596 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libmat.la libmex.la libmx.la
597 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libmat.la libmex.la libmx.la
598 libmex_la_SOURCES = $(MEXLIB_CPP_SOURCES)
599 libmex_la_LIBADD = $(MEXLIB_DEP)
600 libmex_la_CPPFLAGS = \
601     $(MEXLIB_FLAGS) \
602         $(AM_CPPFLAGS)
603
604 libmat_la_SOURCES = $(MEXLIB_CPP_SOURCES)
605 libmat_la_LIBADD = $(MEXLIB_DEP)
606 libmat_la_CPPFLAGS = \
607     $(MEXLIB_FLAGS) \
608     $(AM_CPPFLAGS)
609
610 libmat_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
611 libmx_la_SOURCES = $(MEXLIB_CPP_SOURCES)
612 libmx_la_LIBADD = $(MEXLIB_DEP)
613 libmx_la_CPPFLAGS = \
614     $(MEXLIB_FLAGS) \
615         $(AM_CPPFLAGS)
616
617 libmx_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
618
619 #### Target ######
620 modulename = mexlib
621
622 # For the code check (splint)
623 CHECK_SRC = $(MEXLIB_CPP_SOURCES)
624 INCLUDE_FLAGS = $(MEXLIB_FLAGS) $(AM_CPPFLAGS)
625
626 #### mexlib : Conf files ####
627 libmex_la_rootdir = $(mydatadir)
628 libmex_la_root_DATA = license.txt
629
630 #### mexlib : init scripts ####
631 libmex_la_etcdir = $(mydatadir)/etc
632 libmex_la_etc_DATA = \
633     etc/mexlib.quit \
634     etc/mexlib.start
635
636
637 #### mexlib : include files ####
638 libmex_la_includedir = $(pkgincludedir)
639 libmex_la_include_HEADERS = \
640 includes/mex.h \
641 includes/sci_gateway.h
642
643
644 # Where all the Scilab stuff is installed (macros, help, ...)
645 mydatadir = $(pkgdatadir)/modules/$(modulename)
646
647 # Set AM_* SCI detected settings
648 AM_CPPFLAGS = $(SCI_CPPFLAGS)
649 AM_CFLAGS = $(SCI_CFLAGS)
650 AM_CXXFLAGS = $(SCI_CXXFLAGS)
651 # append includes to AM_FFLAGS to manage fortran includes
652 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
653
654 # Tag shared libraries with the Scilab version
655 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
656
657 # splint options
658 SPLINT_OPTIONS = -weak -booltype BOOL
659
660 ########################### JAVA ######################################
661 #### We are delegating java compilation to ant... Thanks to that
662 #### the procedure will be the same with Microsoft Windows (C)
663 #### and Linux/Unix
664 #######################################################################
665 TARGETS_ALL = $(am__append_1)
666
667 ################ MACROS ######################
668 # Rule to build a macro
669 # NOT USED  AT THE MOMENT
670 SUFFIXES = .sci
671
672 ########### INSTALL DOCUMENTATION ###################
673
674 # Install documentation files into the right target
675 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
676 # automake needs the html files to be present which is not the case when
677 # we are building Scilab
678
679 # Where it should be installed
680 pkgdocdir = $(mydatadir)
681
682 # What is the mask of the help source
683 DOCMASKXML = *.xml
684
685 # What is the mask of the MathML sources
686 DOCMASKMML = *.mml
687
688 ########### INSTALL DATA ###################
689 # Install macros, help & demos
690 # Where it should be installed
691 pkgmacrosdir = $(mydatadir)
692 # Which directory we process
693 MACRODIRS = macros/
694 # Mask of the Scilab sources macros
695 MACROMASK = *.sci
696 # Mask of the Scilab executable sources macros
697 MACROBUILDMASK = *.sce
698 # Mask of the Scilab compiled macros
699 MACROBINMASK = *.bin
700 # List of the standard directory for tests
701 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
702 # Where the demos should be installed
703 pkgdemosdir = $(mydatadir)
704 # List of the standard directory for demos
705 DEMOS_DIR = demos
706 # List of the standard directory for examples
707 EXAMPLES_DIR = examples
708 # Where to export JAVA archives (.jar)
709 JARDIR = jar/
710 # JAR files mask
711 JARMASK = *.jar
712 # Chapter file
713 HELP_CHAPTERDIR = help/
714 HELP_CHAPTERFILE = addchapter.sce
715 HELP_CHAPTERLANG = en_US fr_FR pt_BR
716 all: all-am
717
718 .SUFFIXES:
719 .SUFFIXES: .sci .bin .cpp .lo .o .obj
720 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
721         @for dep in $?; do \
722           case '$(am__configure_deps)' in \
723             *$$dep*) \
724               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
725                 && { if test -f $@; then exit 0; else break; fi; }; \
726               exit 1;; \
727           esac; \
728         done; \
729         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/mexlib/Makefile'; \
730         $(am__cd) $(top_srcdir) && \
731           $(AUTOMAKE) --foreign modules/mexlib/Makefile
732 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
733         @case '$?' in \
734           *config.status*) \
735             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
736           *) \
737             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
738             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
739         esac;
740 $(top_srcdir)/Makefile.incl.am $(am__empty):
741
742 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
743         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
744
745 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
746         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
747 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
748         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
749 $(am__aclocal_m4_deps):
750
751 clean-noinstLTLIBRARIES:
752         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
753         @list='$(noinst_LTLIBRARIES)'; \
754         locs=`for p in $$list; do echo $$p; done | \
755               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
756               sort -u`; \
757         test -z "$$locs" || { \
758           echo rm -f $${locs}; \
759           rm -f $${locs}; \
760         }
761
762 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
763         @$(NORMAL_INSTALL)
764         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
765         list2=; for p in $$list; do \
766           if test -f $$p; then \
767             list2="$$list2 $$p"; \
768           else :; fi; \
769         done; \
770         test -z "$$list2" || { \
771           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
772           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
773           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
774           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
775         }
776
777 uninstall-pkglibLTLIBRARIES:
778         @$(NORMAL_UNINSTALL)
779         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
780         for p in $$list; do \
781           $(am__strip_dir) \
782           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
783           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
784         done
785
786 clean-pkglibLTLIBRARIES:
787         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
788         @list='$(pkglib_LTLIBRARIES)'; \
789         locs=`for p in $$list; do echo $$p; done | \
790               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
791               sort -u`; \
792         test -z "$$locs" || { \
793           echo rm -f $${locs}; \
794           rm -f $${locs}; \
795         }
796 src/cpp/$(am__dirstamp):
797         @$(MKDIR_P) src/cpp
798         @: > src/cpp/$(am__dirstamp)
799 src/cpp/$(DEPDIR)/$(am__dirstamp):
800         @$(MKDIR_P) src/cpp/$(DEPDIR)
801         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
802 src/cpp/libmat_la-mexlib.lo: src/cpp/$(am__dirstamp) \
803         src/cpp/$(DEPDIR)/$(am__dirstamp)
804 src/cpp/libmat_la-sci_gateway.lo: src/cpp/$(am__dirstamp) \
805         src/cpp/$(DEPDIR)/$(am__dirstamp)
806
807 libmat.la: $(libmat_la_OBJECTS) $(libmat_la_DEPENDENCIES) $(EXTRA_libmat_la_DEPENDENCIES) 
808         $(AM_V_CXXLD)$(libmat_la_LINK) $(am_libmat_la_rpath) $(libmat_la_OBJECTS) $(libmat_la_LIBADD) $(LIBS)
809 src/cpp/libmex_la-mexlib.lo: src/cpp/$(am__dirstamp) \
810         src/cpp/$(DEPDIR)/$(am__dirstamp)
811 src/cpp/libmex_la-sci_gateway.lo: src/cpp/$(am__dirstamp) \
812         src/cpp/$(DEPDIR)/$(am__dirstamp)
813
814 libmex.la: $(libmex_la_OBJECTS) $(libmex_la_DEPENDENCIES) $(EXTRA_libmex_la_DEPENDENCIES) 
815         $(AM_V_CXXLD)$(CXXLINK) $(am_libmex_la_rpath) $(libmex_la_OBJECTS) $(libmex_la_LIBADD) $(LIBS)
816 src/cpp/libmx_la-mexlib.lo: src/cpp/$(am__dirstamp) \
817         src/cpp/$(DEPDIR)/$(am__dirstamp)
818 src/cpp/libmx_la-sci_gateway.lo: src/cpp/$(am__dirstamp) \
819         src/cpp/$(DEPDIR)/$(am__dirstamp)
820
821 libmx.la: $(libmx_la_OBJECTS) $(libmx_la_DEPENDENCIES) $(EXTRA_libmx_la_DEPENDENCIES) 
822         $(AM_V_CXXLD)$(libmx_la_LINK) $(am_libmx_la_rpath) $(libmx_la_OBJECTS) $(libmx_la_LIBADD) $(LIBS)
823
824 mostlyclean-compile:
825         -rm -f *.$(OBJEXT)
826         -rm -f src/cpp/*.$(OBJEXT)
827         -rm -f src/cpp/*.lo
828
829 distclean-compile:
830         -rm -f *.tab.c
831
832 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libmat_la-mexlib.Plo@am__quote@
833 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libmat_la-sci_gateway.Plo@am__quote@
834 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libmex_la-mexlib.Plo@am__quote@
835 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libmex_la-sci_gateway.Plo@am__quote@
836 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libmx_la-mexlib.Plo@am__quote@
837 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libmx_la-sci_gateway.Plo@am__quote@
838
839 .cpp.o:
840 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
841 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
842 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
843 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
844 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
846
847 .cpp.obj:
848 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
849 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
850 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
851 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
852 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
854
855 .cpp.lo:
856 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
857 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
858 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
859 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
860 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
861 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
862
863 src/cpp/libmat_la-mexlib.lo: src/cpp/mexlib.cpp
864 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmat_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libmat_la-mexlib.lo -MD -MP -MF src/cpp/$(DEPDIR)/libmat_la-mexlib.Tpo -c -o src/cpp/libmat_la-mexlib.lo `test -f 'src/cpp/mexlib.cpp' || echo '$(srcdir)/'`src/cpp/mexlib.cpp
865 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libmat_la-mexlib.Tpo src/cpp/$(DEPDIR)/libmat_la-mexlib.Plo
866 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/mexlib.cpp' object='src/cpp/libmat_la-mexlib.lo' libtool=yes @AMDEPBACKSLASH@
867 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
868 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmat_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libmat_la-mexlib.lo `test -f 'src/cpp/mexlib.cpp' || echo '$(srcdir)/'`src/cpp/mexlib.cpp
869
870 src/cpp/libmat_la-sci_gateway.lo: src/cpp/sci_gateway.cpp
871 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmat_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libmat_la-sci_gateway.lo -MD -MP -MF src/cpp/$(DEPDIR)/libmat_la-sci_gateway.Tpo -c -o src/cpp/libmat_la-sci_gateway.lo `test -f 'src/cpp/sci_gateway.cpp' || echo '$(srcdir)/'`src/cpp/sci_gateway.cpp
872 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libmat_la-sci_gateway.Tpo src/cpp/$(DEPDIR)/libmat_la-sci_gateway.Plo
873 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/sci_gateway.cpp' object='src/cpp/libmat_la-sci_gateway.lo' libtool=yes @AMDEPBACKSLASH@
874 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
875 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmat_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libmat_la-sci_gateway.lo `test -f 'src/cpp/sci_gateway.cpp' || echo '$(srcdir)/'`src/cpp/sci_gateway.cpp
876
877 src/cpp/libmex_la-mexlib.lo: src/cpp/mexlib.cpp
878 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmex_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libmex_la-mexlib.lo -MD -MP -MF src/cpp/$(DEPDIR)/libmex_la-mexlib.Tpo -c -o src/cpp/libmex_la-mexlib.lo `test -f 'src/cpp/mexlib.cpp' || echo '$(srcdir)/'`src/cpp/mexlib.cpp
879 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libmex_la-mexlib.Tpo src/cpp/$(DEPDIR)/libmex_la-mexlib.Plo
880 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/mexlib.cpp' object='src/cpp/libmex_la-mexlib.lo' libtool=yes @AMDEPBACKSLASH@
881 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmex_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libmex_la-mexlib.lo `test -f 'src/cpp/mexlib.cpp' || echo '$(srcdir)/'`src/cpp/mexlib.cpp
883
884 src/cpp/libmex_la-sci_gateway.lo: src/cpp/sci_gateway.cpp
885 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmex_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libmex_la-sci_gateway.lo -MD -MP -MF src/cpp/$(DEPDIR)/libmex_la-sci_gateway.Tpo -c -o src/cpp/libmex_la-sci_gateway.lo `test -f 'src/cpp/sci_gateway.cpp' || echo '$(srcdir)/'`src/cpp/sci_gateway.cpp
886 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libmex_la-sci_gateway.Tpo src/cpp/$(DEPDIR)/libmex_la-sci_gateway.Plo
887 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/sci_gateway.cpp' object='src/cpp/libmex_la-sci_gateway.lo' libtool=yes @AMDEPBACKSLASH@
888 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmex_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libmex_la-sci_gateway.lo `test -f 'src/cpp/sci_gateway.cpp' || echo '$(srcdir)/'`src/cpp/sci_gateway.cpp
890
891 src/cpp/libmx_la-mexlib.lo: src/cpp/mexlib.cpp
892 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmx_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libmx_la-mexlib.lo -MD -MP -MF src/cpp/$(DEPDIR)/libmx_la-mexlib.Tpo -c -o src/cpp/libmx_la-mexlib.lo `test -f 'src/cpp/mexlib.cpp' || echo '$(srcdir)/'`src/cpp/mexlib.cpp
893 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libmx_la-mexlib.Tpo src/cpp/$(DEPDIR)/libmx_la-mexlib.Plo
894 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/mexlib.cpp' object='src/cpp/libmx_la-mexlib.lo' libtool=yes @AMDEPBACKSLASH@
895 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmx_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libmx_la-mexlib.lo `test -f 'src/cpp/mexlib.cpp' || echo '$(srcdir)/'`src/cpp/mexlib.cpp
897
898 src/cpp/libmx_la-sci_gateway.lo: src/cpp/sci_gateway.cpp
899 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmx_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libmx_la-sci_gateway.lo -MD -MP -MF src/cpp/$(DEPDIR)/libmx_la-sci_gateway.Tpo -c -o src/cpp/libmx_la-sci_gateway.lo `test -f 'src/cpp/sci_gateway.cpp' || echo '$(srcdir)/'`src/cpp/sci_gateway.cpp
900 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libmx_la-sci_gateway.Tpo src/cpp/$(DEPDIR)/libmx_la-sci_gateway.Plo
901 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/sci_gateway.cpp' object='src/cpp/libmx_la-sci_gateway.lo' libtool=yes @AMDEPBACKSLASH@
902 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
903 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmx_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libmx_la-sci_gateway.lo `test -f 'src/cpp/sci_gateway.cpp' || echo '$(srcdir)/'`src/cpp/sci_gateway.cpp
904
905 mostlyclean-libtool:
906         -rm -f *.lo
907
908 clean-libtool:
909         -rm -rf .libs _libs
910         -rm -rf src/cpp/.libs src/cpp/_libs
911 install-libmex_la_etcDATA: $(libmex_la_etc_DATA)
912         @$(NORMAL_INSTALL)
913         @list='$(libmex_la_etc_DATA)'; test -n "$(libmex_la_etcdir)" || list=; \
914         if test -n "$$list"; then \
915           echo " $(MKDIR_P) '$(DESTDIR)$(libmex_la_etcdir)'"; \
916           $(MKDIR_P) "$(DESTDIR)$(libmex_la_etcdir)" || exit 1; \
917         fi; \
918         for p in $$list; do \
919           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
920           echo "$$d$$p"; \
921         done | $(am__base_list) | \
922         while read files; do \
923           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libmex_la_etcdir)'"; \
924           $(INSTALL_DATA) $$files "$(DESTDIR)$(libmex_la_etcdir)" || exit $$?; \
925         done
926
927 uninstall-libmex_la_etcDATA:
928         @$(NORMAL_UNINSTALL)
929         @list='$(libmex_la_etc_DATA)'; test -n "$(libmex_la_etcdir)" || list=; \
930         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
931         dir='$(DESTDIR)$(libmex_la_etcdir)'; $(am__uninstall_files_from_dir)
932 install-libmex_la_rootDATA: $(libmex_la_root_DATA)
933         @$(NORMAL_INSTALL)
934         @list='$(libmex_la_root_DATA)'; test -n "$(libmex_la_rootdir)" || list=; \
935         if test -n "$$list"; then \
936           echo " $(MKDIR_P) '$(DESTDIR)$(libmex_la_rootdir)'"; \
937           $(MKDIR_P) "$(DESTDIR)$(libmex_la_rootdir)" || exit 1; \
938         fi; \
939         for p in $$list; do \
940           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
941           echo "$$d$$p"; \
942         done | $(am__base_list) | \
943         while read files; do \
944           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libmex_la_rootdir)'"; \
945           $(INSTALL_DATA) $$files "$(DESTDIR)$(libmex_la_rootdir)" || exit $$?; \
946         done
947
948 uninstall-libmex_la_rootDATA:
949         @$(NORMAL_UNINSTALL)
950         @list='$(libmex_la_root_DATA)'; test -n "$(libmex_la_rootdir)" || list=; \
951         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
952         dir='$(DESTDIR)$(libmex_la_rootdir)'; $(am__uninstall_files_from_dir)
953 install-libmex_la_includeHEADERS: $(libmex_la_include_HEADERS)
954         @$(NORMAL_INSTALL)
955         @list='$(libmex_la_include_HEADERS)'; test -n "$(libmex_la_includedir)" || list=; \
956         if test -n "$$list"; then \
957           echo " $(MKDIR_P) '$(DESTDIR)$(libmex_la_includedir)'"; \
958           $(MKDIR_P) "$(DESTDIR)$(libmex_la_includedir)" || exit 1; \
959         fi; \
960         for p in $$list; do \
961           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
962           echo "$$d$$p"; \
963         done | $(am__base_list) | \
964         while read files; do \
965           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libmex_la_includedir)'"; \
966           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libmex_la_includedir)" || exit $$?; \
967         done
968
969 uninstall-libmex_la_includeHEADERS:
970         @$(NORMAL_UNINSTALL)
971         @list='$(libmex_la_include_HEADERS)'; test -n "$(libmex_la_includedir)" || list=; \
972         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
973         dir='$(DESTDIR)$(libmex_la_includedir)'; $(am__uninstall_files_from_dir)
974
975 ID: $(am__tagged_files)
976         $(am__define_uniq_tagged_files); mkid -fID $$unique
977 tags: tags-am
978 TAGS: tags
979
980 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
981         set x; \
982         here=`pwd`; \
983         $(am__define_uniq_tagged_files); \
984         shift; \
985         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
986           test -n "$$unique" || unique=$$empty_fix; \
987           if test $$# -gt 0; then \
988             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
989               "$$@" $$unique; \
990           else \
991             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
992               $$unique; \
993           fi; \
994         fi
995 ctags: ctags-am
996
997 CTAGS: ctags
998 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
999         $(am__define_uniq_tagged_files); \
1000         test -z "$(CTAGS_ARGS)$$unique" \
1001           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1002              $$unique
1003
1004 GTAGS:
1005         here=`$(am__cd) $(top_builddir) && pwd` \
1006           && $(am__cd) $(top_srcdir) \
1007           && gtags -i $(GTAGS_ARGS) "$$here"
1008 cscopelist: cscopelist-am
1009
1010 cscopelist-am: $(am__tagged_files)
1011         list='$(am__tagged_files)'; \
1012         case "$(srcdir)" in \
1013           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1014           *) sdir=$(subdir)/$(srcdir) ;; \
1015         esac; \
1016         for i in $$list; do \
1017           if test -f "$$i"; then \
1018             echo "$(subdir)/$$i"; \
1019           else \
1020             echo "$$sdir/$$i"; \
1021           fi; \
1022         done >> $(top_builddir)/cscope.files
1023
1024 distclean-tags:
1025         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1026
1027 distdir: $(DISTFILES)
1028         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1029         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1030         list='$(DISTFILES)'; \
1031           dist_files=`for file in $$list; do echo $$file; done | \
1032           sed -e "s|^$$srcdirstrip/||;t" \
1033               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1034         case $$dist_files in \
1035           */*) $(MKDIR_P) `echo "$$dist_files" | \
1036                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1037                            sort -u` ;; \
1038         esac; \
1039         for file in $$dist_files; do \
1040           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1041           if test -d $$d/$$file; then \
1042             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1043             if test -d "$(distdir)/$$file"; then \
1044               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1045             fi; \
1046             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1047               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1048               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049             fi; \
1050             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1051           else \
1052             test -f "$(distdir)/$$file" \
1053             || cp -p $$d/$$file "$(distdir)/$$file" \
1054             || exit 1; \
1055           fi; \
1056         done
1057 check-am: all-am
1058         $(MAKE) $(AM_MAKEFLAGS) check-local
1059 check: check-am
1060 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1061 installdirs:
1062         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libmex_la_etcdir)" "$(DESTDIR)$(libmex_la_rootdir)" "$(DESTDIR)$(libmex_la_includedir)"; do \
1063           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1064         done
1065 install: install-am
1066 install-exec: install-exec-am
1067 install-data: install-data-am
1068 uninstall: uninstall-am
1069
1070 install-am: all-am
1071         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1072
1073 installcheck: installcheck-am
1074 install-strip:
1075         if test -z '$(STRIP)'; then \
1076           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1077             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1078               install; \
1079         else \
1080           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1081             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1082             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1083         fi
1084 mostlyclean-generic:
1085
1086 clean-generic:
1087
1088 distclean-generic:
1089         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1090         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1091         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1092         -rm -f src/cpp/$(am__dirstamp)
1093
1094 maintainer-clean-generic:
1095         @echo "This command is intended for maintainers to use"
1096         @echo "it deletes files that may require special tools to rebuild."
1097 clean: clean-am
1098
1099 clean-am: clean-generic clean-libtool clean-local \
1100         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1101
1102 distclean: distclean-am
1103         -rm -rf src/cpp/$(DEPDIR)
1104         -rm -f Makefile
1105 distclean-am: clean-am distclean-compile distclean-generic \
1106         distclean-local distclean-tags
1107
1108 dvi: dvi-am
1109
1110 dvi-am:
1111
1112 html: html-am
1113
1114 html-am:
1115
1116 info: info-am
1117
1118 info-am:
1119
1120 install-data-am: install-data-local install-libmex_la_etcDATA \
1121         install-libmex_la_includeHEADERS install-libmex_la_rootDATA
1122
1123 install-dvi: install-dvi-am
1124
1125 install-dvi-am:
1126
1127 install-exec-am: install-pkglibLTLIBRARIES
1128
1129 install-html: install-html-am
1130
1131 install-html-am: install-html-local
1132
1133 install-info: install-info-am
1134
1135 install-info-am:
1136
1137 install-man:
1138
1139 install-pdf: install-pdf-am
1140
1141 install-pdf-am:
1142
1143 install-ps: install-ps-am
1144
1145 install-ps-am:
1146
1147 installcheck-am:
1148
1149 maintainer-clean: maintainer-clean-am
1150         -rm -rf src/cpp/$(DEPDIR)
1151         -rm -f Makefile
1152 maintainer-clean-am: distclean-am maintainer-clean-generic
1153
1154 mostlyclean: mostlyclean-am
1155
1156 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1157         mostlyclean-libtool
1158
1159 pdf: pdf-am
1160
1161 pdf-am:
1162
1163 ps: ps-am
1164
1165 ps-am:
1166
1167 uninstall-am: uninstall-libmex_la_etcDATA \
1168         uninstall-libmex_la_includeHEADERS \
1169         uninstall-libmex_la_rootDATA uninstall-pkglibLTLIBRARIES
1170
1171 .MAKE: check-am install-am install-strip
1172
1173 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1174         check-local clean clean-generic clean-libtool clean-local \
1175         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1176         ctags ctags-am distclean distclean-compile distclean-generic \
1177         distclean-libtool distclean-local distclean-tags distdir dvi \
1178         dvi-am html html-am info info-am install install-am \
1179         install-data install-data-am install-data-local install-dvi \
1180         install-dvi-am install-exec install-exec-am install-html \
1181         install-html-am install-html-local install-info \
1182         install-info-am install-libmex_la_etcDATA \
1183         install-libmex_la_includeHEADERS install-libmex_la_rootDATA \
1184         install-man install-pdf install-pdf-am \
1185         install-pkglibLTLIBRARIES install-ps install-ps-am \
1186         install-strip installcheck installcheck-am installdirs \
1187         maintainer-clean maintainer-clean-generic mostlyclean \
1188         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1189         pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1190         uninstall-libmex_la_etcDATA uninstall-libmex_la_includeHEADERS \
1191         uninstall-libmex_la_rootDATA uninstall-pkglibLTLIBRARIES
1192
1193 .PRECIOUS: Makefile
1194
1195
1196 # This target enables tests for Scilab
1197 check-local: $(top_builddir)/scilab-bin test
1198         if test -d $(mydatadir)/tests; then \
1199           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1200         fi
1201 check-code:
1202         if test -f build.xml; then \
1203                 $(ANT) checkstyle; \
1204         fi
1205         if test -x "$(SPLINT)"; then \
1206                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1207         fi
1208 @NEED_JAVA_TRUE@java:
1209 # Some configurations needs to export JAVA_HOME in the current env
1210 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1211 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1212 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1213 @NEED_JAVA_TRUE@                $(ANT); \
1214 @NEED_JAVA_TRUE@        fi
1215
1216 @NEED_JAVA_TRUE@clean-java:
1217 # Some configurations needs to export JAVA_HOME in the current env
1218 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1219 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1220 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1221 @NEED_JAVA_TRUE@                $(ANT) clean; \
1222 @NEED_JAVA_TRUE@        fi;
1223
1224 # If the user request for the SWIG generation of the wrappers Java => C/C++
1225 # We call the target swig-build on the variable SWIG_WRAPPERS
1226
1227 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1228 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1229 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1230 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1231 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1232 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1233 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1234 @SWIG_TRUE@             done; \
1235 @SWIG_TRUE@     fi
1236
1237 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1238 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1239 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1240 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1241 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1242 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1243 @SWIG_TRUE@             done; \
1244 @SWIG_TRUE@     fi
1245
1246 # If the user request for the SWIG generation of the wrappers Java => C/C++
1247 # We call the target swig-build on the variable SWIG_WRAPPERS
1248
1249 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1250 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1251 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1252 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1253 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1254 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1255 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1256 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1257 @GIWS_TRUE@                     else \
1258 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1259 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1260 @GIWS_TRUE@                     fi \
1261 @GIWS_TRUE@             done; \
1262 @GIWS_TRUE@     fi
1263
1264 @GIWS_TRUE@giws-exception:
1265 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1266 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1267 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1268
1269 macros:
1270         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1271                 echo "Error : Cannot build $< : Scilab has not been built"; \
1272         else \
1273                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1274         fi)
1275
1276 # Removes the macros
1277 clean-macros:
1278 # Removes macros (*.bin generated from .sci)
1279         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1280                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1281                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1282         done
1283
1284 test:
1285 # More tests could be added here
1286         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1287         if test -f build.xml -a $$USEANT -eq 1; then \
1288                 $(ANT) test; \
1289         fi
1290
1291 all-local: $(TARGETS_ALL)
1292
1293 .sci.bin:
1294         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1295         echo "Error : Cannot build $< : Scilab has not been build"; \
1296         else \
1297         echo "Creating $@"; \
1298         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1299         fi )
1300
1301 install-html-local:
1302
1303 install-data-local-local:
1304 # Mainly for javasci
1305         @if test -d $(srcdir)/javadoc; then \
1306                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1307         fi
1308 # If the user wants the help sources to be installed
1309 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1310 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1311 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1312 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1313 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1314 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1315 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1316 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1317 @INSTALL_HELP_XML_TRUE@           done ; \
1318 @INSTALL_HELP_XML_TRUE@         fi; \
1319 @INSTALL_HELP_XML_TRUE@  fi; \
1320 @INSTALL_HELP_XML_TRUE@ done; \
1321 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1322 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1323 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1324 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1325 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1326 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1327 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1328 @INSTALL_HELP_XML_TRUE@           done ; \
1329 @INSTALL_HELP_XML_TRUE@         fi; \
1330 @INSTALL_HELP_XML_TRUE@ fi
1331 install-data-local:
1332 # Install the tests
1333         @echo "-------- Install tests (if any) --------"; \
1334         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1335           if test -d $(srcdir)/$$dir/; then \
1336             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1337                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1338                     if test -d "$(srcdir)/$$dir/$$file"; then \
1339                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1340                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1341                     else \
1342                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1343                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1344                     fi \
1345                   done; \
1346           fi; \
1347         done
1348 # Install the help chapter
1349         @echo "-------- Install the help chapter (if any) --------"; \
1350         for lang in $(HELP_CHAPTERLANG); do \
1351                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1352                 if test -f $$HELPFILE; then \
1353                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1354                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1355                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1356                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1357                 fi; \
1358         done
1359 # Install the demos & examples
1360         @echo "-------- Install demos & examples (if any) --------"; \
1361         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1362           if test -d $(srcdir)/$$dir/; then \
1363             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1364                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1365                     if test -d "$(srcdir)/$$dir/$$file"; then \
1366                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1367                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1368                     else \
1369                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1370                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1371                     fi \
1372                   done; \
1373           fi; \
1374         done
1375 # Install the macros
1376         @echo "-------- Install macros (if any) --------"; \
1377         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1378           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1379                 if test -d $(srcdir)/$$dir/; then \
1380                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1381                         if test -n "$(MACROSSPECIALEXT)"; then \
1382                                 specialExtDir=""; \
1383                                 for specialExt in $(MACROSSPECIALEXT); do \
1384                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1385                                 done; \
1386                                 FILELIST="$$FILELIST $$specialExtDir"; \
1387                         fi; \
1388                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1389                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1390                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1391                   done; \
1392                 fi; \
1393         done
1394 # Install java files (.jar)
1395         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1396         echo "-------- Install jar files --------"; \
1397     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1398           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1399                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1400                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1401           done ; \
1402         fi
1403
1404 ########### CLEAN ###################
1405 # Clean help (generated automatically by Scilab)
1406 # It used to clean the macro (clean-macros) but this was causing
1407 # make clean && make to fail Scilab startup
1408 @NEED_JAVA_TRUE@clean-local: clean-java
1409 @NEED_JAVA_FALSE@clean-local:
1410
1411 distclean-local:
1412         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1413
1414 .PHONY: macros java swig giws
1415
1416 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1417 # Otherwise a system limit (for SysV at least) may be exceeded.
1418 .NOEXPORT: